# PCLinuxOS Copyright Bill Reynolds (Texstar)
#
%define	name		bonk
%define	version		0.6
%define release 	%mkrel 2
%define	summary		Lossy/lossless audio coder

Name:			%name
Version:		%version
Release:		%release
Summary:		%summary
License: 		GPLv2
Group: 			Sound
URL:			http://www.logarithmic.net/pfh/bonk/
Source: 		http://www.logarithmic.net/pfh-files/bonk/%name-%version.tar.xz
Patch:          	%{name}-gcc.diff
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%description
Bonk is a high quality audio compression program. It can operate in either
lossless or lossy mode. In lossless mode, the exact original WAV file can be
recovered from the compressed file. In lossy mode, some information is discarded
in the compressed file, yielding a much higher compression ratio. The information
discarded is perceptually unimportant, and the result should be a *perceptually*
lossless encoding. Bonk can compress some types of sounds more than others, so
the actual bit-rate achieved varies.

In lossy mode, it can compress some types of sound to as low as 95 kbps (a
compression ration of 14:1) while maintaining perceptually lossless CD quality
stereo. In general, the compression ratio achieved by Bonk is slightly higher
than that achieved using the more common MP3 format, for equivalent sound
quality. In particular it copes with transients (eg clapping, drum beats) better.
Performance on purely tonal sound is roughly equivalent to MP3.

In lossless mode the compression ratio is typically around 2:1.
#german
%description -l de
Bonk ist ein qualitativ hochwertiges Audio-Kompressions-Programm, das zwei Arten 
von Kompressionen unterstützt. Verlustfreier oder verlustbehafteter Modus. 

Im verlustfreiem Modus ähnelt das Ergebnis einer Wave Datei mit einer Kompressionsrate 
von 2:1. Während im verlustbehafteten Modus Informationen im unteren sowie höheren 
Bereich abgeschnitten werden, um somit eine höhere Komprimierung 14:1 zu erzielen, 
aber dabei die Klang-Qualität zu berücksichtigen. 


%prep
%setup -q
%patch

%build
%make

%install
%__install -pD -m755 %name %buildroot%_bindir/%name

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%doc README COPYING
%_bindir/*


%changelog
* Tue May 22 2012 Neal <nealbrks0 at gmail dot com> 0.6-2pclos2012
- process

* Mon May 21 2012 leiche <meisssw01 at gmail.com> 0.6-2pclos2012
- rebuild for 64 bit
- add german description
- convert archive to xz

* Wed Dec 24 2008 Paul Grinberg <gri6507 TA yahoo TOD com> 0.6-1pclos2007
- Initial build
